<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

	session_start();

	define("VALID_CMS", 1);
	define("VALID_CMS_ADMIN", 1);

	define('PATH', $_SERVER['DOCUMENT_ROOT']);

	require(PATH.'/core/cms.php');
	require(PATH.'/admin/includes/cp.php');

    cmsCore::getInstance();
    cmsCore::loadClass('user');

    $inUser = cmsUser::getInstance();
    $inConf = cmsConfig::getInstance();

    if (!$inUser->update()) { cmsCore::error404(); }

	if(!cmsCore::checkAccessByIp($inConf->allow_ip)) { cmsCore::error404(); }

    if (!$inUser->is_admin){
        cmsCore::error404();
    }

	$adminAccess = cmsUser::getAdminAccess();

    if (!cmsUser::isAdminCan('admin/config', $adminAccess)) { cpAccessDenied(); }

    @phpinfo();

?>
