<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

	defined('VALID_CMS_ADMIN') or die();
	$inDB = cmsDatabase::getInstance();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<?php cpHead(); ?>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="css/styles.css" rel="stylesheet" type="text/css">
<link href="css/font-awesome.min.css" rel="stylesheet" type="text/css">
<link href="js/hmenu/hmenu.css" rel="stylesheet" type="text/css">
<link href="/includes/jquery/tablesorter/style.css" rel="stylesheet" type="text/css">
<link href="/includes/jqueryui/css/smoothness/jquery-ui.min.css" rel="stylesheet" type="text/css">
<script src="js/admin.js"></script>
<script src="/includes/jquery/jquery.columnfilters.js"></script>
<script src="/includes/jquery/tablesorter/jquery.tablesorter.min.js"></script>
<script src="/includes/jquery/jquery.preload.js"></script>
<script src="/includes/jqueryui/jquery-ui.min.js"></script>
<script src="/includes/jqueryui/init-ui.js"></script>
<script src="/includes/jqueryui/i18n/jquery.ui.datepicker-<?php echo cmsConfig::getConfig('lang'); ?>.min.js"></script>
<script src="/includes/jquery/jquery.form.js"></script>
<script src="js/hltable.js"></script>
<script src="js/jquery.jclock.js"></script>
</head>

<body>
	<div id="container">
		<div class="adm_header">
			<div class="adm_header_pl">
				<a href="/admin/"><img src="images/toplogo.png" alt="<?php echo $_LANG['AD_ADMIN_PANEL']; ?>"></a>
			</div>

			<div class="adm_header_center">
				<i class="fa fa-calendar"></i><?php echo date('d') .' '. $_LANG['MONTH_'.date('m')].' '.date('Y'); ?> 
				<i class="fa fa-clock-o"></i><span class="jclock">00:00:00</span><br>
				<?php
					$new_messages =	$inUser->getNewMsg();
					if ($new_messages['total']){
						$msg_link = '<a href="/users/'.$inUser->id.'/messages.html" style="color:yellow">'.$_LANG['AD_NEW_MSG'].' ('.$new_messages['total'].')</a>';
					} else {
						$msg_link = '<span>'.$_LANG['NO_MESSAGES'].'</span>';
					}
				?>
				<div><i class="fa fa-envelope-open"></i><?php echo $msg_link; ?></div>
			</div>

			<div class="adm_header_pr">
			<span style="float:left">
				<i class="fa fa-user-o"></i><a href="<?php echo cmsUser::getProfileURL($inUser->login); ?>" target="_blank" title="<?php echo $_LANG['AD_GO_PROFILE']; ?>"><?php echo$inDB->get_field('cms_users', 'id='.$inUser->id, 'nickname'); ?></a>     
				<i class="fa fa-binoculars"></i><?php echo $inUser->ip ?>     
			</span>
			<span class="adm_header_sp">
				<i class="fa fa-external-link"></i><a href="/" target="_blank"><?php echo $_LANG['AD_OPEN_SITE']; ?></a>     
				<i class="fa fa-sign-out"></i><a href="/logout" target=""><?php echo $_LANG['AD_EXIT']; ?></a>
			</span>
			</div>
		</div>
		
		<div class="adm_menu"><?php cpMenu(); ?></div>
		<div class="adm_pathway"><?php cpPathway('→'); ?></div>

		<?php $messages = cmsCore::getSessionMessages();
		if ($messages) { ?>
			<div class="sess_messages"><?php foreach($messages as $message){echo $message;} ?></div>
		<?php } ?>
		
		<div class="adm_body"><?php cpBody(); ?></div>

		<div class="adm_footer">
			<span class="adm_footer_left">© 2007-<?php echo date('Y'); ?> InstantCMS </span>
			<span class="adm_footer_left1"><?php echo $_LANG['AD_ICMS_VERSION']; ?></span>
			<span class="adm_footer_right">
				<a href="https://instantcms.ru" target="blank"><?php echo $_LANG['AD_ICMS_OFFICIAL']; ?></a>    
				<a href="https://instantcms.ru/wiki" target="blank"><?php echo $_LANG['AD_ICMS_DOCUMENTATION']; ?></a>     
				<a href="https://instantcms.ru/forum" target="blank"><?php echo $_LANG['AD_ICMS_FORUM']; ?></a>
			</span>
		</div>
	</div>
</body>
</html>