// Метод проверяет, есть ли такой логин в базе
function checkLogin(){
	userlogin = $("#logininput").val();
    $("#logincheck").load("/core/ajax/registration.php", {opt: "checklogin", data:userlogin});
}

// Метод проверят идентичность дважды введенного пароля
function checkPasswords(){
	var pass1 = $("#pass1input").val();
	var pass2 = $("#pass2input").val();
	if (pass1 != pass2) {
		$('#passcheck').html('<span style="color:red">'+LANG_WRONG_PASS+'</span>');
	}
}

// Скрипт показывает форму регистрации поставившему галку о согласии с правилами сайта. 
	$(document).ready(function(){
		$('#show_rules').click(function(){
			$('#checkbox_rules').hide(500);
			$('#checkbox_rules_on').show(1000);
			$('#site_rules').show(1000);
		});
	});

	// Скрипт checkInput1(): 
	// 1. дублирует адрес профиля будущего пользователя в поле "Адрес вашей странички"
	// 2. издает звук "биип" при русской раскладке
	// 3. разрешает вводить в поле login только латинские символы и цифры	
	function checkInput1(l){
		if(l.value.match(/^[а-яё]+$/msiu)){ 
			var sound = new Audio();
				sound.pause();
				sound.currentTime = 0;
				sound.src = '/components/registration/sound/beep05.mp3'; 
				sound.play();
			$('#spancheckLauort').fadeIn().delay(500).fadeOut();
		}
		l.value = l.value.replace(/[^a-zA-Z0-9 -]/ig,'');
		$("#usrpl").text(l.value);	
	}
	
	// Скрипт checkInput2():
	//"тихий" способ с заменой "й" -> "q", "ц" -> "w", "у" -> "e", "к" -> "r" и т.д.
	function checkInput2(l){ 
		var
			rus = "ё  й  ц  у  к  е  н  г  ш  щ  з  х ъ ф ы в а п р о л д ж э я ч с м и т ь б ю".split(/ +/g),
			eng = "e  q  w  e  r  t  y  u  i  o  p  [ ] a s d f g h j k l ; ' z x c v b n m b .".split(/ +/g) 
		; 
		l.value = transliteration(l.value, false, rus, eng); 
		$("#usrpl").text(l.value); 
	}
	
	// Скрипт checkInput3():
	//"тихий" способ с заменой "ш" -> "sh", "ю" -> "yu", "у" -> "u", "к" -> "k" и т.д.
	function checkInput3(l){ 
		var
			rus = "щ   ш  ч  ц  ю  я  ё  ж  ъ  ы  э  а б в г д е з и й к л м н о п р с т у ф х ь".split(/ +/g),
			eng = "shh sh ch cz yu ya yo zh `` y' e` a b v g d e z i j k l m n o p r s t u f x `".split(/ +/g)
		; 
		l.value = transliteration(l.value, false, rus, eng);
		$("#usrpl").text(l.value);
	}
	
	// Скрипт транслитерации.
	// шаблоны замены в массивах rus, eng
	// Если с английского на русский, то передаём вторым параметром true
	function transliteration(text, engToRus, rus, eng){
		var x;
		for(x = 0; x < rus.length; x++){
			text = text.split(engToRus ? eng[x] : rus[x]).join(engToRus ? rus[x] : eng[x]);
			text = text.split(engToRus ? eng[x].toUpperCase() : rus[x].toUpperCase()).join(engToRus ? rus[x].toUpperCase() : eng[x].toUpperCase());	
		}
		return text;
	}