<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

function mod_actions(array $mod, $cfg){

    $inDB      = cmsDatabase::getInstance();
    $inActions = cmsActions::getInstance();

    global $_LANG;

    if (!isset($cfg['show_target'])) { $cfg['show_target'] = 1; }
    if (!isset($cfg['limit'])) { $cfg['limit'] = 15; }
    if (!isset($cfg['show_link'])) { $cfg['show_link'] = 1; }
    if (!isset($cfg['action_types'])) { echo $_LANG['MODULE_NOT_CONFIGURED']; return true; }

    if (!$cfg['show_target']){ $inActions->showTargets(false); }

    $inActions->onlySelectedTypes($cfg['action_types']);
    $inDB->limitIs($cfg['limit']);

    $actions = $inActions->getActionsLog();
    if(!$actions){ return false; }

    cmsPage::initTemplate('modules', $cfg['tpl'])->
        assign('actions', $actions)->
        assign('cfg', $cfg)->
        assign('user_id', cmsUser::getInstance()->id)->
        display($cfg['tpl']);

    return true;

}