<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

function mod_category($mod, $cfg){

	$inDB = cmsDatabase::getInstance();

	cmsCore::loadModel('content');
	$model = new cms_model_content();

	if (!isset($cfg['category_id'])){ $cfg['category_id'] = 0; }
	if (!isset($cfg['show_subcats'])) { $cfg['show_subcats'] = 1; }
	if (!isset($cfg['expand_all'])) { $cfg['expand_all'] = 1; }

	$rootcat = $inDB->getNsCategory('cms_category', $cfg['category_id']);
	if(!$rootcat) { return false; }

	$subcats_list = $model->getSubCats($rootcat['id'], $cfg['show_subcats'], $rootcat['NSLeft'], $rootcat['NSRight']);
	if(!$subcats_list){ return false; }

	$current_seolink = urldecode(cmsCore::request('seolink', 'str', ''));

    cmsPage::initTemplate('modules', $cfg['tpl'])->
            assign('cfg', $cfg)->
            assign('current_seolink', $current_seolink)->
            assign('subcats_list', $subcats_list)->
            display($cfg['tpl']);

	return true;

}