<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

function mod_polls($mod, $cfg){

    cmsCore::loadModel('polls');
    $model = new cms_model_polls();

    if ($cfg['poll_id']>0){

        $poll = $model->getPoll($cfg['poll_id']);

    } else {

        $poll = $model->getPoll(0, 'RAND()');

    }

    if (!$poll) { return false; }

	cmsPage::initTemplate('modules', $cfg['tpl'])->
            assign('poll', $poll)->
            assign('is_voted', $model->isUserVoted($poll['id']))->
            assign('module_id', $mod['id'])->
            assign('cfg', $cfg)->
            display($cfg['tpl']);

    return true;

}