<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

Error_Reporting(E_ALL);
header('Content-Type: text/html; charset=utf-8');

session_start();

define('PATH', dirname(__FILE__));
define("VALID_CMS", 1);

include(PATH.'/core/cms.php');

cmsCore::getInstance();

cmsCore::loadClass('user');

if(!cmsConfig::getConfig('is_change_lang')){
    cmsCore::error404();
}

$set_lang = cmsCore::request('lang', 'str', 'ru');

$langs = cmsCore::getDirsList('/languages');

if(!$set_lang || !in_array($set_lang, $langs)){
    cmsCore::error404();
}

$_SESSION['lang'] = $set_lang;

cmsCore::redirectBack();