<h1 class="con_heading">{$pagetitle}</h1>
<form id="addform" name="addform" method="post" action="" enctype="multipart/form-data">
    <div class="table-responsive">
    <table class="proptable table table-striped">
        <tr>
            <td width="25%" valign="top">
                <strong>{$LANG.TITLE}:</strong>
            </td>
            <td valign="top">
                <input name="title" type="text" class="text-input" id="title" style="width:100%;" value="{if isset($mod.title)}{$mod.title|escape:'html'}{/if}">
            </td>
        </tr>
        {if $do=='addarticle'}
        <tr>
            <td valign="top">
                <strong>{$LANG.CAT}:</strong><br>
                <div><span class="hint">{$LANG.WHERE_LOCATE_ARTICLE}</span></div>
                {if $is_admin}
                    <div style="margin-top:10px"><span class="hint">{$LANG.FOR_ADD_ARTICLE_ON} <a href="/admin/index.php?view=tree">{$LANG.IN_CONFIG}</a> {$LANG.FOR_ADD_ARTICLE_ON_TEXT}</span></div>
                {/if}
            </td>
            <td valign="top">
                <select name="category_id" id="category_id" style="width:100%;">
                        <option value="">{$LANG.SELECT_CAT}</option>
                    {foreach key=p item=pubcat from=$pubcats}
                        <option value="{$pubcat.id}" {if !empty($mod.category_id) && $mod.category_id==$pubcat.id}selected="selected"{/if}>
                            {'--'|str_repeat:$pubcat.NSLevel} {$pubcat.title}
                            {if $is_billing && $pubcat.cost && $dynamic_cost}
                                ({$LANG.BILLING_COST}: {$pubcat.cost|spellcount:$LANG.BILLING_POINT1:$LANG.BILLING_POINT2:$LANG.BILLING_POINT10})
                            {/if}
                        </option>
                    {/foreach}
                </select>
            </td>
        </tr>
        {/if}
        {if $cfg.img_users}
        <tr>
            <td valign="top" style="padding:10px;background:#f9f9f9;">
                <strong>{$LANG.IMAGE}:</strong>
            </td>
            <td valign="top" style="padding:10px;background:#f9f9f9;">
                {if isset($mod.image)}
					{if $mod.image != ''} 
						<div style="padding-bottom:10px">
							<img src="/upload/content/small/{$mod.image}" style="width:36pz; float:left; border:#dedede 1px solid; padding:2px; border-radius:4px; margin-right:10px;" alt="">
							<label for="delete_image" style="padding-top:7px;"><input type="checkbox" id="delete_image" name="delete_image" value="1"> {$LANG.DELETE}</label>
						</div>
					{/if}
                {/if}
                <input type="file" name="picture" style="width:100%;">
            </td>
        </tr>
        {/if}
        {if $do=='editarticle'}
            <input type="hidden" name="category_id" value="{$mod.category_id}">
        {/if}
    </table>
    </div>
	<table>
		<tr>
			<td colspan="2">
                <h3>{$LANG.ARTICLE_ANNOUNCE}</h3>
				<div>{wysiwyg name='description' value=$mod.description height=200 width='100%' toolbar='truncated'}</div>

				<h3>{$LANG.ARTICLE_TEXT}</h3>
				<div>{wysiwyg name='content' value=$mod.content height=450 width='100%' toolbar='full'}</div>
			</td>
		</tr>
		<tr>
			<td style="width:25%; padding:10px 0;" valign="top">
				<strong>{$LANG.METATITLE_TITLE}:</strong><br >
				<span class="hinttext">{$LANG.METATITLE_HINT}</span>
			</td>
			<td style="padding:10px 0;"valign="top">
				<input name="pagetitle" type="text" class="text-input" id="pagetitle" value="{if isset($mod.pagetitle)}{$mod.pagetitle|escape:'html'}{/if}">
			</td>
		</tr>
		<tr>
			<td style="width:25%; padding:10px 0;" valign="top">
				<strong>{$LANG.METAKEYS_TITLE}:</strong><br>
				<span class="hinttext">{$LANG.METAKEYS_HINT}</span>
			</td>
			<td style="padding:10px 0;"valign="top">
				<input name="meta_keys" type="text" class="text-input" id="meta_keys" value="{if isset($mod.meta_keys)}{$mod.meta_keys|escape:'html'}{/if}"> 
			</td>
		</tr>
		<tr>
			<td style="width:25%; padding:10px 0;" valign="top">
				<strong>{$LANG.METADESC_TITLE}:</strong><br>
				<span class="hinttext">{$LANG.METADESC_HINT}</span>
			</td>
			<td style="padding:10px 0;"valign="top">
				<textarea id="meta_desc" rows="4" name="meta_desc">{if isset($mod.meta_desc)}{$mod.meta_desc|escape:'html'}{/if}</textarea>
			</td>
		</tr>
		<tr>
			<td style="width:25%; padding:10px 0;" valign="top">
				<strong>{$LANG.TAGS}:</strong><br>
				<span class="hinttext">{$LANG.KEYWORDS_TEXT}</span>
			</td>
			<td style="padding:10px 0;"valign="top">
				<input name="tags" type="text" class="text-input" id="tags" value="{if isset($mod.tags)}{$mod.tags|escape:'html'}{/if}">
				<script>{$autocomplete_js}</script>
			</td>
		</tr>
	</table>

    <script>
        var LANG_SELECT_CAT = '{$LANG.SELECT_CAT}';
        var LANG_REQ_TITLE  = '{$LANG.REQ_TITLE}';
        var LANG_ERROR      = '{$LANG.ERROR}';
            function submitArticle(){
                if (!$('input#title').val()){ core.alert(LANG_REQ_TITLE, LANG_ERROR); return false; }
            {if $do=='addarticle'}
                    if (!$('select#category_id').val()){ core.alert(LANG_SELECT_CAT, LANG_ERROR); return false; }
            {/if}
                $('form#addform').submit();
            }
    </script>

	<p style="margin-top:15px">
        <input name="add_mod" type="hidden" value="1">
		<input name="savebtn" type="button" onclick="submitArticle()" id="add_mod" {if $do=='addarticle'} value="{$LANG.ADD_ARTICLE}" {else} value="{$LANG.SAVE_CHANGES}" {/if}>
		<input name="back" type="button" id="back" value="{$LANG.CANCEL}" onclick="window.history.back();">
		{if $do=='editarticle'}
			<input name="id" type="hidden" value="{$mod.id}">
		{/if}
	</p>
</form>
