<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

if (!defined('VALID_CMS_ADMIN')) { die('ACCESS DENIED'); }

function autoOrder($form_id) {

    $inDB = cmsDatabase::getInstance();

    $sql = "SELECT * FROM cms_form_fields WHERE form_id = '$form_id' ORDER BY ordering";
    $rs  = $inDB->query($sql);

    if ($inDB->num_rows($rs)) {
        $ord = 1;
        while ($item = $inDB->fetch_assoc($rs)) {
            $inDB->query("UPDATE cms_form_fields SET ordering = $ord WHERE id='{$item['id']}'");
            $ord += 1;
        }
    }
    return true;
}
function moveField($id, $form_id, $dir) {

    $inDB = cmsDatabase::getInstance();

    $sign = $dir>0 ? '+' : '-';

    $current = $inDB->get_field('cms_form_fields', "id='{$id}'", 'ordering');
    if($current === false){ return false; }

    if ($dir>0){

        $sql = "UPDATE cms_form_fields
                SET ordering = ordering-1
                WHERE form_id='{$form_id}' AND ordering = ({$current}+1)
                LIMIT 1";
        $inDB->query($sql);
    }
    if ($dir<0){

        if($current == 1) { return false; }

        $sql = "UPDATE cms_form_fields
                SET ordering = ordering+1
                WHERE form_id='{$form_id}' AND ordering = ({$current}-1)
                LIMIT 1";
        $inDB->query($sql);
    }

    $sql    = "UPDATE cms_form_fields
               SET ordering = ordering {$sign} 1
               WHERE id='{$id}'";
    $inDB->query($sql);

    return true;

}

require('../includes/jwtabs.php');

$GLOBALS['cp_page_head'][] = '<script language="JavaScript" src="js/forms.js"></script>';
$GLOBALS['cp_page_head'][] = jwHeader();

$opt = cmsCore::request('opt', 'str', 'list');

$toolmenu[] = array('icon'=>'newform.gif','title'=>$_LANG['AD_NEW_FORM'],'link'=>'?view=components&do=config&id='.$id.'&opt=add');
$toolmenu[] = array('icon'=>'listforms.gif','title'=>$_LANG['AD_FORMS'],'link'=>'?view=components&do=config&id='.$id.'&opt=list');

cpToolMenu($toolmenu);

cmsCore::loadClass('form');

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
if ($opt == 'up_field') {

    moveField(cmsCore::request('item_id', 'int'), cmsCore::request('form_id', 'int'), -1);

    cmsCore::redirectBack();

}

if ($opt == 'down_field') {

    moveField(cmsCore::request('item_id', 'int'), cmsCore::request('form_id', 'int'), 1);

    cmsCore::redirectBack();

}

if ($opt == 'del_field') {

    $item_id = cmsCore::request('item_id', 'int');
    $form_id = cmsCore::request('form_id', 'int');

    $inDB->delete('cms_form_fields', "id = '{$item_id}'", 1);

    autoOrder($form_id);

    cmsCore::addSessionMessage($_LANG['AD_DO_SUCCESS']);

    cmsCore::redirectBack();

}

if (in_array($opt, array('add_field', 'update_field'))) {

    $item['kind']     = cmsCore::request('kind', 'str', '');
    $item['title']    = cmsCore::request('f_title', 'str', 'NO_TITLE');
    $item['description'] = cmsCore::request('f_description', 'str', '');
    $item['ordering'] = cmsCore::request('f_order', 'int');
    $item['form_id']  = cmsCore::request('form_id', 'int');
    $item['mustbe']   = cmsCore::request('mustbe', 'int');

    $item['config'] = array();

    $item['config']['text_is_link'] = cmsCore::request('text_is_link', 'int');
    $item['config']['text_link_prefix'] = cmsCore::request('text_link_prefix', 'str', '');
	$item['config']['max'] = cmsCore::request('text_max', 'int');
	$item['config']['css_class'] = cmsCore::request('f_css_class', 'str', '');

    switch ($item['kind']) {
        
        case 'conf':

            $item['config']['text']    = cmsCore::request('f_conf_text', 'html', '');
            break;
        
        case 'text':

            $item['config']['size']    = cmsCore::request('f_text_size', 'int');
            break;

        case 'date':

            $item['config']['size']    = cmsCore::request('f_date_size', 'int');
            break;

        case 'link':

            $item['config']['size']    = cmsCore::request('f_link_size', 'int');
            break;

        case 'textarea':

            $item['config']['size']    = cmsCore::request('f_ta_size', 'int');
            $item['config']['rows']    = cmsCore::request('f_ta_rows', 'int');
            $item['config']['default'] = cmsCore::request('f_ta_default', 'str', '');
            break;

        case 'checkbox':

            $item['config']['checked'] = cmsCore::request('f_checked', 'int');
            break;

        case 'radiogroup':

            $item['config']['items'] = cmsCore::request('f_rg_list', 'str', '');
			$item['config']['is_multiple_choice'] = cmsCore::request('f_rg_multiple_choice', 'int');
            break;

        case 'list':

            $item['config']['items'] = cmsCore::request('f_list_list', 'str', '');
            $item['config']['size']  = cmsCore::request('f_list_size', 'int');
			$item['config']['list_is_depends']  = cmsCore::request('f_list_is_depends', 'int');
			$item['config']['list_parent'] = cmsCore::request('f_list_parent', 'int');
			$item['config']['list_parent_item'] = cmsCore::request('f_list_parent_item', 'str', '');
            break;

        case 'menu':

            $item['config']['items'] = cmsCore::request('f_menu_list', 'str', '');
            $item['config']['size']  = cmsCore::request('f_menu_size', 'int');
			$item['config']['menu_is_depends']  = cmsCore::request('f_menu_is_depends', 'int');
			$item['config']['menu_parent'] = cmsCore::request('f_menu_parent', 'int');
			$item['config']['menu_parent_item'] = cmsCore::request('f_menu_parent_item', 'str', '');
            break;

        case 'file':

            $exts = cmsCore::request('f_file_ext', 'str', '');

            while (mb_strpos($exts, 'htm') ||
                   mb_strpos($exts, 'php') ||
                   mb_strpos($exts, 'ht')) {
                $exts  = str_replace(array('htm','php','ht'), '', mb_strtolower($exts));
            }
            $item['config']['ext']   = str_replace(' ', '', $exts);
            $item['config']['size']  = cmsCore::request('f_file_size', 'int');
            break;
    }

    $item['config'] = $inDB->escape_string(cmsCore::arrayToYaml($item['config']));

    if (!cmsCore::request('is_public', 'int', 0)){
        $item['show_for_group'] = cmsCore::arrayToYaml(cmsCore::request('show_for_group', 'array_int'));
    } else {
        $item['show_for_group'] = '';
    }

    if($opt == 'add_field'){

        $inDB->insert('cms_form_fields', cmsCore::callEvent('ADD_FORM_FIELD', $item));

    } else {

        $inDB->update('cms_form_fields', cmsCore::callEvent('UPDATE_FORM_FIELD', $item), cmsCore::request('field_id', 'int'));

    }
    cmsCore::addSessionMessage($_LANG['AD_DO_SUCCESS']);
    cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=edit&item_id='.$item['form_id']);
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
if (in_array($opt, array('submit', 'update'))) {

    if (!cmsUser::checkCsrfToken()) { cmsCore::error404(); }

    $item['title']       = cmsCore::request('title', 'str', $_LANG['AD_FORM_UNTITLED']);
    $item['description'] = $inDB->escape_string(cmsCore::request('description', 'html', ''));

    $item['sendto']  = cmsCore::request('sendto', 'str', '');
    $item['email']   = cmsCore::request('email', 'str', '');
    $item['user_id'] = cmsCore::request('user_id', 'int', 0);
    $item['form_action'] = cmsCore::request('form_action', 'str', '/forms/process');
    $item['only_fields'] = cmsCore::request('only_fields', 'int', 0);
    $item['showtitle'] = cmsCore::request('showtitle', 'int', 0);
    $item['tpl']       = cmsCore::request('tpl', 'str', 'form');

    if($opt == 'submit'){

        $form_id = $inDB->insert('cms_forms', cmsCore::callEvent('ADD_FORM', $item));
        cmsCore::addSessionMessage($_LANG['AD_FORM_SUCCESFULL_CREATED']);

    } else {

        $form_id = cmsCore::request('item_id', 'int');

        $inDB->update('cms_forms', cmsCore::callEvent('UPDATE_FORM', $item), $form_id);
        cmsCore::addSessionMessage($_LANG['AD_DO_SUCCESS'].'.');

    }

    cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=edit&item_id='.$form_id);

}

if ($opt == 'delete') {

    $item_id = cmsCore::request('item_id', 'int');
    $mod = $inDB->get_fields('cms_forms', "id = '{$item_id}'", '*');
    if(!$mod){ cmsCore::error404(); }

    cmsCore::callEvent('DELETE_FORM', $item_id);

    $inDB->delete('cms_forms', "id = '{$item_id}'", 1);

    $inDB->delete('cms_form_fields', "form_id = '{$item_id}'");

    files_remove_directory(PATH.'/upload/forms/'.$item_id);

    cmsCore::addSessionMessage($_LANG['AD_DO_SUCCESS'].'.');

    cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=list');

}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
if ($opt == 'list') {

    $fields[] = array('title'=>'id', 'field'=>'id', 'width'=>'30');
    $fields[] = array('title'=>$_LANG['TITLE'], 'field'=>'title', 'width'=>'', 'link'=>'?view=components&do=config&id='.$id.'&opt=edit&item_id=%id%');
    $fields[] = array('title'=>$_LANG['AD_E-MAIL'], 'field'=>'email', 'width'=>'150');

    $actions[] = array('title'=>$_LANG['EDIT'], 'icon'=>'edit.gif', 'link'=>'?view=components&do=config&id='.$id.'&opt=edit&item_id=%id%');
    $actions[] = array('title'=>$_LANG['DELETE'], 'icon'=>'delete.gif', 'confirm'=>$_LANG['AD_FORM_DELETE'], 'link'=>'?view=components&do=config&id='.$id.'&opt=delete&item_id=%id%');

    cpListTable('cms_forms', $fields, $actions);

}

if (in_array($opt, array('add', 'edit'))) {

    if ($opt == 'add') {

        cpAddPathway($_LANG['AD_NEW_FORM']);
        echo '<h3>'.$_LANG['AD_NEW_FORM'].'</h3>';

        $mod['showtitle']   = 1;
        $mod['form_action'] = '/forms/process';
        $mod['tpl']         = 'form';
        $mod['only_fields'] = 0;

    } else {

        $item_id  = cmsCore::request('item_id', 'int');
        $field_id = cmsCore::request('field_id', 'int');

        $mod = $inDB->get_fields('cms_forms', "id = '{$item_id}'", '*');

        $field = $inDB->get_fields('cms_form_fields', "id='{$field_id}'", '*');
        if($field){
            $field['config'] = cmsCore::yamlToArray($field['config']);
        }

        echo '<h3>'.$_LANG['AD_FORM']. ': ' . $mod['title'] . '</h3>';
        cpAddPathway($mod['title']);

        ob_start();

        echo '{tab='.$_LANG['AD_FORM_PROPERTIES'].'}';

    } ?>

	<form id="addform" name="addform" method="post" action="index.php?view=components&do=config&id=<?php echo $id; ?>">
		<input type="hidden" name="csrf_token" value="<?php echo cmsUser::getCsrfToken(); ?>">
		<table class="adminbody">
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_FORM_NAME']; ?> : </td>
				<td class="tdright">
					<input class="fullsize" name="title" type="text" id="title" size="30" value="<?php echo htmlspecialchars(@$mod['title']); ?>">
				</td>
			</tr>
			<tr>
                <td class="tdleft"> <?php echo $_LANG['AD_FORM_DESTINATION']; ?> : </td>
				<td class="tdright">
					<select name="sendto" id="sendto" onChange="toggleSendTo()">
						<option value="mail" <?php if (@$mod['sendto'] == 'mail' || !isset($mod['sendto'])) { echo 'selected'; } ?> > <?php echo $_LANG['AD_EMAIL_ADDRESS']; ?> </option>
						<option value="user" <?php if (@$mod['sendto'] == 'user') { echo 'selected'; } ?> > <?php echo $_LANG['AD_PERSON_MESS']; ?> </option>
					</select>
				</td>
			</tr>
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_VIEW_FORM_TITLE']; ?> : </td>
				<td class="tdright">
					<label> <input name="showtitle" type="radio" value="1" <?php if ($mod['showtitle']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
					<label> <input name="showtitle" type="radio" value="0" <?php if (!$mod['showtitle']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
				</td>
			</tr>
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_FORM_ACTION']; ?> : </td>
				<td class="tdright"> <input class="fullsize" name="form_action" type="text" size="30" value="<?php echo htmlspecialchars(@$mod['form_action']); ?>"> </td>
			</tr>
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_FILED_ONLY']; ?> : </td>
				<td class="tdright">
					<label> <input name="only_fields" type="radio" value="1" <?php if ($mod['only_fields']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
					<label> <input name="only_fields" type="radio" value="0" <?php if (!$mod['only_fields']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
				</td>
			</tr>
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_FORM_TPL']; ?> : <br> <span class="hinttext"> <?php echo $_LANG['AD_FORM_TPL_HINT']; ?> </span> </td>
				<td class="tdright"> <input class="fullsize" name="tpl" type="text" size="30" value="<?php echo htmlspecialchars(@$mod['tpl']); ?>"> </td>
			</tr>
		</table>

		<div id="sendto_mail" <?php if (@$mod['sendto'] == 'mail' || !isset($mod['sendto'])) { echo 'style="display:block"'; } else { echo 'style="display:none"'; } ?> >
			<table class="adminbody">
				<tr>
					<td class="tdleft">
						<img class="icons16" src="/admin/images/forms/email.gif" alt="mail">
						<?php echo $_LANG['AD_E-MAIL_ADDR']; ?> : <br> <span class="hinttext"> <?php echo $_LANG['AD_E-MAIL_ADDR_HINT']; ?> </span>
					</td>
					<td class="tdright"> <input class="fullsize" name="email" type="text" id="email" size="30" value="<?php echo @$mod['email']; ?> "> </td>
				</tr>
			</table>
		</div>

		<div id="sendto_user" <?php if (@$mod['sendto'] == 'user') { echo 'style="display:block"'; } else { echo 'style="display:none"'; } ?> >
			<table class="adminbody">
				<tr>
					<td class="tdleft">
						<img class="icons16" src="/admin/images/forms/user.gif" alt="user">
						<?php echo $_LANG['AD_RECIPIENT']; ?> :
					</td>
					<td class="tdright"> 
						<select name="user_id" id="user_id">
							<?php if (isset($mod['user_id'])) {
								echo $inCore->getListItems('cms_users', $mod['user_id'], 'nickname', 'ASC', 'is_deleted=0 AND is_locked=0', 'id', 'nickname');
							} else {
								echo $inCore->getListItems('cms_users', 0, 'nickname', 'ASC', 'is_deleted=0 AND is_locked=0', 'id', 'nickname');
							} ?>
						</select>
					</td>
				</tr>
			</table>
		</div>
		
		<div class="adminbody1">
			<div class="tabtitle"> <?php echo $_LANG['AD_FORM_EXPLANT']; ?> : </div>
			<?php if(isset($mod['description'])){$description = $mod['description'];}else{$description = '';}
			$inCore->insertEditor('description', $description, '280', '100%'); ?>
		</div>

		<?php if ($opt == 'add') {
			echo '<p><b>'.$_LANG['AD_NOTE'].': </b>'.$_LANG['AD_AFTER_CREATE'].'. </p>';
		} else {
			echo '<p><b>'.$_LANG['AD_NOTE'].': </b>' .$_LANG['AD_TO_INSERT'];
		} ?>

		<p>
			<input name="add_mod" type="submit" id="add_mod" value="<?php echo $_LANG['SAVE']; ?>">
			<input name="opt" type="hidden" id="do" <?php if ($opt == 'add') { echo 'value="submit"'; } else { echo 'value="update"'; } ?> >
			<?php if ($opt == 'edit') { echo '<input name="item_id" type="hidden" value="' . $mod['id'] . '">'; } ?>
		</p>
	</form>

	<?php if ($opt == 'edit') {
		$last_order = 1 + $inDB->get_field('cms_form_fields', "form_id='{$mod['id']}' ORDER BY ordering DESC", 'ordering'); ?>
		
		{tab= <?php echo $_LANG['AD_FIELDS']; ?> }
		<table class="adminbody">
			<tr>
				<td class="tdleft">
					<div class="tabtitle">
						<?php if(!@$field){ echo $_LANG['AD_FIELD_ADD']; } else { echo $_LANG['AD_FIELD_EDIT']; } ?>
						<hr>
					</div>

					<form id="fieldform" name="fieldform" method="post" action="index.php?view=components&do=config&id=<?php echo $id; ?>">
						<input type="hidden" name="csrf_token" value="<?php echo cmsUser::getCsrfToken(); ?>">
						<input type="hidden" name="opt" value="<?php if(!@$field){ ?>add_field<?php } else { ?>update_field<?php } ?>">
						<input type="hidden" name="form_id" id="form_id" value="<?php echo @$mod['id'] ?>">
						<input type="hidden" name="field_id" value="<?php echo @$field['id'] ?>">
						
						<table>
							<tr>
								<td class="vfield" width="180"> <?php echo $_LANG['AD_FIELD_FILLING']; ?> : </td>
								<td class="fielddown">
									<select name="mustbe" id="mustbe">
										<option value="1" <?php if (@$field['mustbe']) { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_NECESSARILY']; ?> </option>
										<option value="0" <?php if (!@$field['mustbe']) { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_NOT_NECESSARILY']; ?> </option>
									</select>
								</td>
							</tr>
							<tr>
								<td class="vfield"> <?php echo $_LANG['AD_FIELD_TYPE']; ?> : </td>
								<td class="fielddown">
									<select name="kind" id="kind" onchange="(function() {if (document.fieldform.kind.value=='hidden_url') document.fieldform.f_title.value=' <?php echo $_LANG['AD_INVISIBLE_FIELD']; ?> '; else document.fieldform.f_title.value='';})(); show();">
										<option value="text" <?php if (@$field['kind'] == 'text' || !@$field['kind']) { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_TYPE_TEXT']; ?> </option>
										<option value="date" <?php if (@$field['kind'] == 'date') { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_TYPE_DATENOW']; ?> </option>
										<option value="link" <?php if (@$field['kind'] == 'link') { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_TYPE_URL']; ?> </option>
										<option value="textarea" <?php if (@$field['kind'] == 'textarea') { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_TYPE_MILTILINE']; ?> </option>
										<option value="checkbox" <?php if (@$field['kind'] == 'checkbox') { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_TYPE_YES_NO']; ?> </option>
										<option value="radiogroup" <?php if (@$field['kind'] == 'radiogroup') { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_TYPE_GROUP_OPTIONS']; ?> </option>
										<option value="list" <?php if (@$field['kind'] == 'list') { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_TYPE_DROP_DOWN']; ?> </option>
										<option value="menu" <?php if (@$field['kind'] == 'menu') { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_TYPE_VISIBLE']; ?> </option>
										<option value="hidden_url" <?php if (@$field['kind'] == 'hidden_url') { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_TYPE_HIDDEN_URL_PAGE']; ?> </option>
										<option value="conf" <?php if (@$field['kind'] == 'conf') { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_PRIVACY']; ?> </option>
										<option value="file" <?php if (@$field['kind'] == 'file') { echo 'selected="selected"'; } ?> > <?php echo $_LANG['FILE']; ?> </option>
									</select>
								</td>
							</tr>
							<tr>
								<td class="vfield"> <?php echo $_LANG['AD_TITLE']; ?> : </td>
								<td> <input class="fullsize" name="f_title" type="text" id="f_title" value="<?php echo htmlspecialchars(@$field['title']) ?>"> </td>
							</tr>
							<tr>
								<td class="vfield"> <?php echo $_LANG['DESCRIPTION']; ?> : </td>
								<td> <input class="fullsize" name="f_description" type="text" id="f_description" value="<?php echo htmlspecialchars(@$field['description']) ?> "> </td>
							</tr>
							<tr>
								<td class="vfield"> <?php echo $_LANG['CSSCLASS']; ?> : </td>
								<td> <input class="fullsize" name="f_css_class" type="text" id="f_css_class" value="<?php echo htmlspecialchars(@$field['config']['css_class']) ?> "> </td>
							</tr>
							<tr>
								<td style="padding-top:10px;"> <?php echo $_LANG['AD_VALUE_LINK']; ?> ? </td>
								<td class="vfield">
									<div>
										<input name="text_is_link" onclick="$('#text_link_prefix').show();" type="radio" value="1" <?php if (@$field['config']['text_is_link']) { echo 'checked="checked"'; } ?> >
										<label> <?php echo $_LANG['YES']; ?> </label>
										<input name="text_is_link" onclick="$('#text_link_prefix').hide();" type="radio" value="0" <?php if (!@$field['config']['text_is_link']) { echo 'checked="checked"'; } ?> >
										<label> <?php echo $_LANG['NO']; ?> </label>
									</div>
									<div class="vfield">
									<table>
										<tr id="text_link_prefix" <?php if(!@$field['config']['text_is_link']) { echo 'style="display:none"'; } ?> >
											<td style="width:220px"> <label> <?php echo $_LANG['AD_LINK_PREFIX']; ?> : </label> </td>
											<td> <input class="fullsize" name="text_link_prefix" type="text" value="<?php echo (@$field['config']['text_link_prefix'] ? $field['config']['text_link_prefix'] : '/users/hobby/'); ?>"> </td>
										</tr>
									</table>
									</div>
								</td>
							</tr>

							<tr>
								<td class="fieldtop"> <?php echo $_LANG['AD_MAXIMUM_LENGTH']; ?> : </td>
								<td class="vfield"> <input class="uispin" name="text_max" type="text" size="6" value="<?php echo (isset($field['config']['max']) ? $field['config']['max'] : 300) ?>"> <?php echo $_LANG['AD_CHARACTERS']; ?> </td>
							</tr>

							<!-- Опции типа поля -->
							<tr id="kind_text" style="display:none">
								<td><?php echo $_LANG['AD_WIDTH']; ?> : </td>
								<td>
									<input class="uispin" name="f_text_size" type="text" id="f_text_size" value="<?php echo (@$field['config']['size'] ? $field['config']['size'] : 160) ?>" size="6">
									<?php echo $_LANG['AD_PX'] ; ?>
								</td>
							</tr>

							<tr id="kind_date" style="display:none">
								<td> <?php echo $_LANG['AD_WIDTH']; ?> : </td>
								<td>
									<input class="uispin" name="f_date_size" type="text" id="f_date_size" value="<?php if(!empty($field['config']['size'] )){echo $field['config']['size']; } else { echo '160';} ?>" size="6">
									<?php echo $_LANG['AD_PX'] ; ?>
								</td>
							</tr>

							<tr id="kind_link" style="display:none">
								<td> <?php echo $_LANG['AD_WIDTH']; ?> : </td>
								<td>
									<input class="uispin" name="f_link_size" type="text" id="f_text_size" value="<?php echo (@$field['config']['size'] ? $field['config']['size'] : 160) ?>" size="6">
									<?php echo $_LANG['AD_PX'] ; ?>
								</td>
							</tr>

							<tr id="kind_textarea" style="display:none">
								<td>
									<div class="vfield"> <?php echo $_LANG['AD_WIDTH']; ?> : </div>
									<div class="vfield"> <?php echo $_LANG['AD_STRINGS']; ?> : </div>
								</td>
								<td>
									<div class="fielddown"> <input class="uispin" name="f_ta_size" type="text" id="f_ta_size" value="<?php echo (@$field['config']['size'] ? $field['config']['size'] : 160) ?>" size="6"> <?php echo $_LANG['AD_PX'] ; ?> </div>
									<div><input class="uispin" name="f_ta_rows" type="text" id="f_ta_rows" value="<?php echo (@$field['config']['rows'] ? $field['config']['rows'] : 5) ?>" size="6"> </div>
								</td>
							</tr>

							<tr id="kind_checkbox" style="display:none">
							<!-- Опция Да/Нет -->
								<td> <?php echo $_LANG['AD_MARK']; ?> : </td>
								<td>
									<select name="f_checked" id="f_checked">
										<option value="1" <?php if (@$field['config']['checked']) { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_MARKED']; ?> </option>
										<option value="0" <?php if (!@$field['config']['checked']) { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_NOT_MARKED']; ?> </option>
									</select>
								</td>
							</tr>

							<tr id="kind_radiogroup" style="display:none">
								<td>
									<div> <?php echo $_LANG['AD_ELEMENTS']; ?> : <br> <small> <?php echo $_LANG['AD_THROUTH']; ?> " <b> / </b> " </small> </div>
									<div style="padding-top:90px;"> <?php echo $_LANG['AD_MULT_CHOICE']; ?> ? </div>
								<td>
									<textarea name="f_rg_list" cols="20" rows="5" id="f_rg_list"><?php echo htmlspecialchars(@$field['config']['items']) ?></textarea>
									
									<div>
										<input name="f_rg_multiple_choice" type="radio" value="1" <?php if (@$field['config']['is_multiple_choice']) { echo 'checked="checked"'; } ?> >
										<label> <?php echo $_LANG['AD_MARKED']; ?> </label>
									
										<input name="f_rg_multiple_choice" type="radio" value="0" <?php if (!@$field['config']['is_multiple_choice']) { echo 'checked="checked"'; } ?> >
										<label> <?php echo $_LANG['AD_NOT_MARKED']; ?> </label>
									</div>
								</td>
							</tr>

							<tr id="kind_list" style="display:none">
								<td>
									<div class="vfield"> <?php echo $_LANG['AD_WIDTH']; ?> : </div>
									<div class="vfield"> <?php echo $_LANG['AD_ELEMENTS']; ?> : <br> <small> <?php echo $_LANG['AD_THROUTH']; ?> " <b> / </b> " </small> </div>
									<div style="padding-top:87px;"> <?php echo $_LANG['AD_DEP_LIST']; ?> ? </div>
								</td>
								<td>
									<div class="fielddown">
										<input class="uispin" name="f_list_size" type="text" id="f_ta_size" value="<?php echo (@$field['config']['size'] ? $field['config']['size'] : 160) ?> " size="6">
										<?php echo $_LANG['AD_PX']; ?>
									</div>
									<textarea name="f_list_list" cols="20" rows="5" id="f_list_list"><?php echo htmlspecialchars(@$field['config']['items']) ?></textarea>
									<div class="vfield">
										<input name="f_list_is_depends" type="radio" value="1" <?php if (@$field['config']['list_is_depends']) { echo 'checked="checked"'; } ?> onchange="$('.f_depending_list').show();">
										<label> <?php echo $_LANG['AD_MARKED']; ?> </label>
										<input name="f_list_is_depends" type="radio" value="0" <?php if (!@$field['config']['list_is_depends']) { echo 'checked="checked"'; } ?> onchange="$('.f_depending_list').hide();">
										<label> <?php echo $_LANG['AD_NOT_MARKED']; ?> </label>
									</div>
									<table>
										<tr class="f_depending_list" <?php if (!@$field['config']['list_is_depends']) { echo 'style="display:none"'; } ?> >
											<td style="width:220px"> <div class="tabtitle"> <?php echo $_LANG['AD_PARENT_LIST']; ?> : </div> </td>
											<td>
												<div class="fielddown">
													<select name="f_list_parent" onchange="showParentListItems('list',this.value);">
														<?php $list_fields = $inDB->get_table('cms_form_fields', "form_id='{$item_id}' and (kind='list' or kind='menu')", 'id,title');
														$default_parent_list_id=0;
														foreach ($list_fields as $list_field) {
															if (!$default_parent_list_id) $default_parent_list_id=$list_field['id'];
															echo '<option value="'.$list_field['id'].'"';
															if($list_field['id'] == @$field['config']['list_parent']) echo 'selected="selected"'; 
															echo ' >'.$list_field['title'].'</option>';
														} ?>
													</select>
												</div>
											</td>
										</tr>
										<tr class="f_depending_list" <?php if (!@$field['config']['list_is_depends']) { echo 'style="display:none"'; } ?> >
											<td> <div class="tabtitle"> <?php echo $_LANG['AD_PARENT_LIST_ITEM']; ?> : </div> </td>
											<td>
												<div class="fielddown">
													<select name="f_list_parent_item">
														<?php $parent_list_id=@$field['config']['list_parent'];
														if (!$parent_list_id) $parent_list_id=$default_parent_list_id;
														$list_field = $inDB->get_field('cms_form_fields', "id={$parent_list_id}", 'config');
														//echo '<option value="">'.$list_field.'</option>';
														$list_field = cmsCore::yamlToArray($list_field);
														$list_field_items   = explode('/', trim($list_field['items']));
														foreach ($list_field_items as $list_field_item) {
															echo '<option value="'.$list_field_item.'"';
															if($list_field_item == @$field['config']['list_parent_item']) echo 'selected="selected"'; 
															echo ' >'.$list_field_item.'</option>';
														} ?>
													</select>
												</div>
											</td>
										</tr>
									</table>
								</td>
							</tr>

							<tr id="kind_menu" style="display:none">
								<td>
									<div class="tabtitle"> <?php echo $_LANG['AD_WIDTH']; ?> : </div>
									<div class="vfield"> <?php echo $_LANG['AD_ELEMENTS']; ?> : <br> <small> <?php echo $_LANG['AD_THROUTH']; ?> " <b> / </b> " </small> </div>
									<div style="padding-top:90px;"> <?php echo $_LANG['AD_DEP_LIST']; ?> ? </div>
								</td>
								<td>
									<div class="fielddown"> <input class="uispin" name="f_menu_size" type="text" id="f_ta_size" value="<?php echo (@$field['config']['size'] ? $field['config']['size'] : 160) ?>" size="6"> <?php echo $_LANG['AD_PX']; ?> </div>
									<textarea name="f_menu_list" cols="20" rows="5" id="f_menu_list"><?php echo htmlspecialchars(@$field['config']['items']) ?></textarea>
									<div class="vfield">
										<input name="f_menu_is_depends" type="radio" value="1" <?php if (@$field['config']['menu_is_depends']) { echo 'checked="checked"'; } ?> onchange="$('.f_depending_menu').show();">
										<label> <?php echo $_LANG['AD_MARKED']; ?> </label>
										<input name="f_menu_is_depends" type="radio" value="0" <?php if (!@$field['config']['menu_is_depends']) { echo 'checked="checked"'; } ?> onchange="$('.f_depending_menu').hide();">
										<label> <?php echo $_LANG['AD_NOT_MARKED']; ?> </label>
										<table>
											<tr class="f_depending_menu" <?php if (!@$field['config']['menu_is_depends']) { echo 'style="display:none"'; } ?> >
												<td style="width:220px"> <div class="tabtitle"> <?php echo $_LANG['AD_PARENT_LIST']; ?> : </td>
												<td>
													<div class="fielddown">
														<select name="f_menu_parent" onchange="showParentListItems('menu',this.value);">
															<?php $list_fields = $inDB->get_table('cms_form_fields', "form_id='{$item_id}' and (kind='list' or kind='menu')", 'id,title');
															$default_parent_list_id=0;
															foreach ($list_fields as $list_field) {
																if (!$default_parent_list_id) $default_parent_list_id=$list_field['id'];
																echo '<option value="'.$list_field['id'].'"';
																if($list_field['id'] == @$field['config']['menu_parent']) echo 'selected="selected"';
																echo ' >'.$list_field['title'].'</option>';
															} ?>
														</select>
													</div>
												</td>
											</tr>
											<tr class="f_depending_menu" <?php if (!@$field['config']['menu_is_depends']) { echo 'style="display:none"'; } ?> >
												<td> <div class="tabtitle"> <?php echo $_LANG['AD_PARENT_LIST_ITEM']; ?> : </div> </td>
												<td>
													<div class="fielddown">
														<select name="f_menu_parent_item">
															<?php $parent_list_id=@$field['config']['menu_parent'];
															if (!$parent_list_id) $parent_list_id=$default_parent_list_id;
															$list_field = $inDB->get_field('cms_form_fields', "id={$parent_list_id}", 'config');
															$list_field = cmsCore::yamlToArray($list_field);
															$list_field_items   = explode('/', trim($list_field['items']));
															foreach ($list_field_items as $list_field_item) {
																echo '<option value="'.$list_field_item.'"';
																if($list_field_item == @$field['config']['menu_parent_item']) echo 'selected="selected"';
																echo ' >'.$list_field_item.'</option>';
															} ?>
														</select>
													</div>
												</td>
											</tr>
										</table>
									</div>
								</td>
							</tr>
							
							<tr id="hidden_url" style="display:none">
								<td>
								</td>
							</tr>

							<tr id="kind_conf" style="display:none">
								<td> <?php echo $_LANG['AD_TXT']; ?> : </td>
								<td> <textarea name="f_conf_text" rows="10" cols="45"><?php echo htmlspecialchars(@$field['config']['text']) ?></textarea> </td>
							</tr>

							<tr id="kind_file" style="display:none">
								<td>
									<div class="tabtitle"> <?php echo $_LANG['AD_WIDTH']; ?> : </div>
									<div class="tabtitle"> <?php echo $_LANG['AD_EXT']; ?> : <br> <small> <?php echo $_LANG['AD_EXT_HINT']; ?> </small> </div>
								</td>
								<td>
									<div class="vfield">
										<input class="uispin" name="f_file_size" type="text" id="f_file_size" value="<?php echo (@$field['config']['size'] ? $field['config']['size'] : 160) ?>" size="6"> <?php echo $_LANG['AD_PX']; ?>
									</div>
									<input class="fullsize" name="f_file_ext" type="text" value="<?php echo @$field['config']['ext']; ?>">
								</td>
							</tr>
						</table>

						<!-- Показывать всем группам -->
						<?php $groups = cmsUser::getGroups();
						$style  = 'disabled="disabled"';
						$public = 'checked="checked"';
						
						if (@$field){
							if ($field['show_for_group']){
								$public = '';
								$style  = '';
								$show_for_group = cmsCore::yamlToArray($field['show_for_group']);
							}
						} ?>
						
						<div class="fieldtop">
							<input class="checklist" name="is_public" type="checkbox" id="is_public" onclick="checkGroupList()" value="1" <?php echo $public?> >
							<label> <?php echo $_LANG['AD_ALLGROUPVIEW']; ?></label>
						</div>
						
						<div class="tabtitle"> <?php echo $_LANG['AD_GROUPS_VIEW']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_SELECT_MULTIPLE_CTRL']; ?> </span> </div>
						
						<?php echo '<select name="show_for_group[]" id="showin" size="6" multiple="multiple" '.$style.'>';
						if ($groups){
							foreach($groups as $group){
								echo '<option value="'.$group['id'].'"';
								if (@$field && $field['show_for_group']){
									if (inArray($show_for_group, $group['id'])){
										echo 'selected="selected"';
									}
								}
								echo '>';
								echo $group['title'].'</option>';
							}
						}
						echo '</select>'; ?>

                        <p>
                            <input type="submit" name="Submit" value="<?php if(!@$field){  echo $_LANG['AD_FIELD_ADD']; } else { echo $_LANG['AD_FIELD_SAVE']; } ?>">
                        </p>
                    </form>

                </td>

				<td class="tdright">
					<div class="tabtitle">
						<?php echo $_LANG['AD_PREVIEV']; ?>
						<hr>
					</div>
					<?php echo cmsForm::displayForm($item_id, array(), true); ?>
				</td>
			</tr>
		</table>

		<script>
            $(document).ready(function(){
                show();
                checkGroupList();
            });
        </script>

        {/tabs}
        <?php echo jwTabs(ob_get_clean());
	}
}
?>

<script>
	function showParentListItems(list_type,list_id) {
		var parent_lists=[],html_str='';
		<?php
			$list_fields = $inDB->get_table('cms_form_fields', "form_id='{$item_id}' and (kind='list' or kind='menu')", 'id,config');

			foreach ($list_fields as $list_field) {
				$list_field_config = cmsCore::yamlToArray($list_field['config']);
				$list_field_items   = explode('/', trim($list_field_config['items']));
				$list_field_items_str='';

				foreach ($list_field_items as $list_field_item) {
					if ($list_field_items_str) $list_field_items_str.=',';
					$list_field_items_str.='"'.$list_field_item.'"';
				}
			echo ' parent_lists['.$list_field['id'].']=['.$list_field_items_str.']; ';
		} ?>
		var parent_list=parent_lists[list_id];
		for (var key in parent_list) {
			html_str+='<option value="'+parent_list[key]+'">'+parent_list[key]+'</option>';
		}
		$('select[name="f_'+list_type+'_parent_item"]').html(html_str);
	}
</script>