<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

if(!defined('VALID_CMS_ADMIN')) { die('ACCESS DENIED'); }

$opt = cmsCore::request('opt', 'str', 'list');

$toolmenu[] = array('icon'=>'save.gif', 'title'=>$_LANG['SAVE'], 'link'=>'javascript:document.optform.submit();');
$toolmenu[] = array('icon'=>'cancel.gif', 'title'=>$_LANG['CANCEL'], 'link'=>'?view=components');

cpToolMenu($toolmenu);

$cfg = $inCore->loadComponentConfig('registration');


if ($opt=='saveconfig'){

    if (!cmsUser::checkCsrfToken()) { cmsCore::error404(); }

    $cfg['reg_type']    = cmsCore::request('reg_type', 'str', '');
    $cfg['inv_count']   = cmsCore::request('inv_count', 'int', 0);
    $cfg['inv_karma']   = cmsCore::request('inv_karma', 'int', 0);
    $cfg['inv_period']  = cmsCore::request('inv_period', 'str', '');

    $cfg['default_gid'] = cmsCore::request('default_gid', 'int', 0);

    $cfg['is_on']       = cmsCore::request('is_on', 'int', 0);
    $cfg['act']         = cmsCore::request('act', 'int', 0);
    $cfg['offmsg']      = cmsCore::request('offmsg', 'html', '');

    $cfg['first_auth_redirect'] = cmsCore::request('first_auth_redirect', 'str', '');
    $cfg['auth_redirect']       = cmsCore::request('auth_redirect', 'str', '');

    $cfg['name_mode']       = cmsCore::request('name_mode', 'str', '');
	$cfg['badnickname']     = mb_strtolower(cmsCore::request('badnickname', 'html', ''));
	$cfg['view_forms']         = cmsCore::request('view_forms', 'int', 0);
    $cfg['ask_icq']         = cmsCore::request('ask_icq', 'int', 0);
	$cfg['ask_skype']	    = cmsCore::request('ask_skype', 'int', 0);
	$cfg['ask_phone'] 	    = cmsCore::request('ask_phone', 'int', 0);
    $cfg['ask_birthdate']   = cmsCore::request('ask_birthdate', 'int', 0);
    $cfg['ask_city']        = cmsCore::request('ask_city', 'int', 0);

    $cfg['send_greetmsg']   = cmsCore::request('send_greetmsg', 'int'); 
	 
	$cfg['tr_method']   		= cmsCore::request('tr_method', 'int', 1);
	
    cmsCore::addSessionMessage($_LANG['AD_CONFIG_SAVE_SUCCESS'], 'success'); 
    $inCore->saveComponentConfig('registration', $cfg);
	
	// Правила сайта
	$rules = cmsCore::request('rules', 'html', '');
	file_put_contents(PATH.'/languages/'.cmsConfig::getConfig('lang').'/letters/site_rules.txt', $rules);
	// Письмо активации
	$activation = cmsCore::request('activation', 'html', '');
	file_put_contents(PATH.'/languages/'.cmsConfig::getConfig('lang').'/letters/activation.txt', $activation);
	// Письмо приветствия
	$greeting = cmsCore::request('greeting', 'html', '');
	file_put_contents(PATH.'/languages/'.cmsConfig::getConfig('lang').'/letters/greeting.txt', $greeting);
	
	// инвайты
    if (cmsCore::request('inv_now', 'int', 0)){
        cmsCore::loadModel('users');
        $model = new cms_model_users();
        $inv_count = $cfg['inv_count'];
        $inv_karma = $cfg['inv_karma'];

        if ($inv_count){
            $invites_given = $model->giveInvites($inv_count, $inv_karma);

            if ($invites_given){
                cmsCore::addSessionMessage($_LANG['AD_ISSUED_INVITES'].': '.$invites_given, 'success');
            } else {
                cmsCore::addSessionMessage($_LANG['AD_INVITES_NOT_ISSUED'], 'success');
            }
        }
    }
	
	// удаление инвайтов
    if (cmsCore::request('inv_delete', 'int', 0)){
        cmsCore::loadModel('users');
        $model = new cms_model_users();
        $model->deleteInvites();
        cmsCore::addSessionMessage($_LANG['AD_INVITES_DELETE'], 'success');
    }

    cmsCore::redirectBack();

}

?>

<form action="index.php?view=components&amp;do=config&amp;id=<?php echo $id ?>" method="post" name="optform" target="_self" id="optform">
	<input type="hidden" name="csrf_token" value="<?php echo cmsUser::getCsrfToken(); ?>">
	<div id="config_tabs" style="margin-top:12px;" class="uitabs">
		<ul id="tabs">
			<li> <a href="#basic"> <?php echo $_LANG['AD_GENERAL']; ?> </a> </li>
			<li> <a href="#form"> <?php echo $_LANG['AD_FORM']; ?> </a></li>
			<li> <a href="#site_rules"> <?php echo $_LANG['AD_SITE_RULES']; ?> </a></li>
			<li> <a href="#instruction"> <?php echo $_LANG['AD_INSTRUCTION']; ?> </a></li>
			<li> <a href="#greets"> <?php echo $_LANG['AD_WELCOME']; ?> </a></li>
		</ul>

		<div id="basic">
			<table class="adminbody">
				<tr>
					<td class="tdleft"><?php echo $_LANG['AD_REGISTRATION_TYPE']; ?>:</strong></td>
					<td class="tdright">
						<select name="reg_type" id="name_mode" style="width:300px" onchange="if($(this).val()=='invite'){ $('.inv').show(); } else { $('.inv').hide(); }">
							<option value="open" <?php if ($cfg['reg_type']=='open') {echo 'selected';} ?>><?php echo $_LANG['AD_REGISTRATION_OPEN']; ?></option>
							<option value="invite" <?php if ($cfg['reg_type']=='invite') {echo 'selected';} ?>><?php echo $_LANG['AD_REGISTRATION_INVITES']; ?></option>
						</select>
					</td>
				</tr>
				<tr class="inv" <?php if($cfg['reg_type']=='open'){ ?>style="display:none"<?php } ?>>
					<td class="tdleft"> <?php echo $_LANG['AD_ISSUE_ON']; ?> : </td>
					<td class="tdright">
						<input type="text" name="inv_count" value="<?php echo $cfg['inv_count']; ?>">
						<span style="padding:0 5px;"> <?php echo $_LANG['AD_INVITES_KARMA']; ?> &ge; </span>
						<input type="text" name="inv_karma" value="<?php echo $cfg['inv_karma']; ?>">
						<span style="padding:0 5px;"> <?php echo $_LANG['AD_ONCE']; ?> </span>
						<select name="inv_period" style="width:100px;">
							<option value="DAY" <?php if ($cfg['inv_period']=='DAY') {echo 'selected';} ?> > <?php echo $_LANG['AD_DAY']; ?> </option>
							<option value="WEEK" <?php if ($cfg['inv_period']=='WEEK') {echo 'selected';} ?> > <?php echo $_LANG['AD_WEEKLY']; ?> </option>
							<option value="MONTH" <?php if ($cfg['inv_period']=='MONTH') {echo 'selected';} ?> > <?php echo $_LANG['AD_MONTH']; ?> </option>
						</select>
						<p>
							<input type="hidden" id="inv_now" name="inv_now" value="0">
							<input type="hidden" id="inv_delete" name="inv_delete" value="0">
							<input type="button" value="<?php echo $_LANG['AD_ISSUE_INVITES']; ?>" onclick="if(confirm(' <?php echo $_LANG['AD_GIVE_INVITES']; ?> ?')){ $('#inv_now').val('1'); $('#optform').submit(); }">
							<input type="button" value="<?php echo $_LANG['AD_DELETE_INVITES']; ?>" onclick="if(confirm(' <?php echo $_LANG['AD_DELETE_INVITES_QUEST']; ?> ?')){ $('#inv_delete').val('1'); $('#optform').submit(); }">
						</p>
					</td>
				</tr>
			</table>

			<table class="adminbody">
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_REGISTRATION_ON']; ?> : </td>
					<td class="tdright">
						<label> <input name="is_on" type="radio" value="1" <?php if ($cfg['is_on']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="is_on" type="radio" value="0" <?php if (!$cfg['is_on']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_REGISTRATION_OFF_POST']; ?> : </td>
					<td class="tdright"> <textarea name="offmsg" type="text" id="offmsg" rows="2"><?php echo $cfg['offmsg']; ?></textarea> </td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_ACTIVATION_MAIL']; ?> : </td>
					<td class="tdright">
						<label> <input name="act" type="radio" value="1" <?php if ($cfg['act']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="act" type="radio" value="0" <?php if (!$cfg['act']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_GROUP_DEFAULT']; ?> : </td>
					<td class="tdright">
						<?php $groups = cmsUser::getGroups(true); ?>
						<select name="default_gid" id="default_gid">
							<?php foreach($groups as $group){ ?>
								<option value="<?php echo $group['id']; ?>" <?php if ($cfg['default_gid']==$group['id']){ ?> selected="selected" <?php } ?> > <?php echo $group['title']; ?> </option>
							<?php } ?>
						</select>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_FIRST_LOGIN']; ?> : </td>
					<td class="tdright">
						<select name="first_auth_redirect" id="first_auth_redirect">
							<option value="none" <?php if ($cfg['first_auth_redirect']=='none') {echo 'selected';} ?> > <?php echo $_LANG['AD_DO_NOTHING']; ?> </option>
							<option value="index" <?php if ($cfg['first_auth_redirect']=='index') {echo 'selected';} ?> > <?php echo $_LANG['AD_OPEN_HOME']; ?> </option>
							<option value="profile" <?php if ($cfg['first_auth_redirect']=='profile') {echo 'selected';} ?> > <?php echo $_LANG['AD_OPEN_PROFILE']; ?> </option>
							<option value="editprofile" <?php if ($cfg['first_auth_redirect']=='editprofile') {echo 'selected';} ?> > <?php echo $_LANG['AD_OPEN_PROFILE_SETTIGS']; ?> </option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_NEXT_LOGIN']; ?> : </td>
					<td class="tdright">
						<select name="auth_redirect" id="auth_redirect">
							<option value="none" <?php if ($cfg['auth_redirect']=='none') {echo 'selected';} ?> > <?php echo $_LANG['AD_DO_NOTHING']; ?> </option>
							<option value="index" <?php if ($cfg['auth_redirect']=='index') {echo 'selected';} ?> > <?php echo $_LANG['AD_OPEN_HOME']; ?> </option>
							<option value="profile" <?php if ($cfg['auth_redirect']=='profile') {echo 'selected';} ?> > <?php echo $_LANG['AD_OPEN_PROFILE']; ?> </option>
							<option value="editprofile" <?php if ($cfg['auth_redirect']=='editprofile') {echo 'selected';} ?> > <?php echo $_LANG['AD_OPEN_PROFILE_SETTIGS']; ?> </option>
						</select>
					</td>
				</tr>
			</table>
		</div>

		<div id="form">
			<table class="adminbody">
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_SELECT_METHOD']; ?> : </td>
					<td class="tdright"> 
						<input type="radio" name="tr_method" value="1" <?php if ($cfg['tr_method']== 1) {echo 'checked';} ?> > <?php echo $_LANG['AD_SELECT_METHOD_1']; ?> <br>
						<input type="radio" name="tr_method" value="2" <?php if ($cfg['tr_method']== 2) {echo 'checked';} ?> > <?php echo $_LANG['AD_SELECT_METHOD_2']; ?> <br>
						<input type="radio" name="tr_method" value="3" <?php if ($cfg['tr_method']== 3) {echo 'checked';} ?> > <?php echo $_LANG['AD_SELECT_METHOD_3']; ?>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_NAME_FORMAT']; ?> : </td>
					<td class="tdright">
						<select name="name_mode" id="name_mode">
							<option value="nickname" <?php if ($cfg['name_mode']=='nickname') {echo 'selected';} ?> > <?php echo $_LANG['AD_NICKNAME']; ?> </option>
							<option value="realname" <?php if ($cfg['name_mode']=='realname') {echo 'selected';} ?> > <?php echo $_LANG['AD_NAME_SURNAME']; ?> </option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_NAME_PROCHIBITED']; ?> : <br> <span class="hinttext"> <?php echo $_LANG['AD_ENTER_BANNED_NAME']; ?> . </span> </td>
					<td class="tdright"> <textarea name="badnickname" type="text" id="badnickname" rows="5"><?php echo $cfg['badnickname'];?></textarea> </td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_VIEW_FORMS']; ?> : <br> <span class="hinttext"> <?php echo $_LANG['AD_VIEW_FORMS_HINT']; ?> . </span> </td>
					<td class="tdright">
						<label> <input name="view_forms" type="radio" value="1" <?php if ($cfg['view_forms']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="view_forms" type="radio" value="0" <?php if (!$cfg['view_forms']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_REQUIRE_ICQ']; ?> : </td>
					<td class="tdright">
						<label> <input name="ask_icq" type="radio" value="1" <?php if ($cfg['ask_icq']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="ask_icq" type="radio" value="0" <?php if (!$cfg['ask_icq']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_REQUIRE_SKYPE']; ?> : </td>
					<td class="tdright">
						<label> <input name="ask_skype" type="radio" value="1" <?php if ($cfg['ask_skype']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="ask_skype" type="radio" value="0" <?php if (!$cfg['ask_skype']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_REQUIRE_PHONE']; ?> : </td>
					<td class="tdright">
						<label> <input name="ask_phone" type="radio" value="1" <?php if ($cfg['ask_phone']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="ask_phone" type="radio" value="0" <?php if (!$cfg['ask_phone']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_REQUIRE_BIRD']; ?> : </td>
					<td class="tdright">
						<label> <input name="ask_birthdate" type="radio" value="1" <?php if ($cfg['ask_birthdate']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="ask_birthdate" type="radio" value="0" <?php if (!$cfg['ask_birthdate']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_REQUIRE_CITY']; ?> : </td>
					<td class="tdright">
						<label> <input name="ask_city" type="radio" value="1" <?php if ($cfg['ask_city']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="ask_city" type="radio" value="0" <?php if (!$cfg['ask_city']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
			</table>
		</div>

		<div id="site_rules" >
			<div class="adminbody1">
				<div class="tabtitle"> <?php echo $_LANG['AD_SITE_RULES_POST']; ?> : </br> <span class="hinttext"> <?php echo $_LANG['AD_SITE_RULES_POST_HINT']; ?> . </span> </div>
				<?php $rules = file_get_contents(PATH.'/languages/'.cmsConfig::getConfig('lang').'/letters/site_rules.txt');
				$inCore->insertEditor('rules', $rules, '300', '800'); ?>
			</div>
		</div>

		<div id="instruction">
			<div class="adminbody1">
				<div class="tabtitle"> <?php echo $_LANG['AD_ACTIVATION_POST']; ?> : </br> <span class="hinttext"> <?php echo $_LANG['AD_ACTIVATION_POST_HINT']; ?> . </span> </div>
				<?php $lines = file_get_contents(PATH.'/languages/'.cmsConfig::getConfig('lang').'/letters/activation.txt');
				$inCore->insertEditor('activation', $lines, '300', '800'); ?>
			</div>
		</div>

		<div id="greets">
			<div class="adminbody1">
				<div class="tabtitle">
					<?php echo $_LANG['AD_SEND_MASSAGE']; ?> :
					<label> <input name="send_greetmsg" type="radio" value="1" <?php if ($cfg['send_greetmsg']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
					<label> <input name="send_greetmsg" type="radio" value="0" <?php if (!$cfg['send_greetmsg']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
				</div>
				<?php $greeting = file_get_contents(PATH.'/languages/'.cmsConfig::getConfig('lang').'/letters/greeting.txt');
				$inCore->insertEditor('greeting', $greeting, '300', '800'); ?>
			</div>
		</div>

		<p>
			<input name="opt" type="hidden" value="saveconfig">
			<input name="save" type="submit" id="save" value="<?php echo $_LANG['SAVE']; ?>">
			<input name="back" type="button" id="back" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components';">
		</p>
	</div>

</form>