<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function search_blogs($query, $look){

	$inDB   = cmsDatabase::getInstance();
	$searchModel = cms_model_search::initModel();

	global $_LANG;

	$sql = "SELECT con.*, cat.title cat_title, cat.id cat_id, cat.owner owner, cat.user_id user_id, cat.seolink as bloglink, img.fileurl
			FROM cms_blog_posts con
			INNER JOIN cms_blogs cat ON cat.id = con.blog_id AND cat.allow_who = 'all' AND cat.owner = 'user'
            LEFT JOIN cms_upload_images img ON img.target_id = con.id AND img.target = 'blog_post' AND img.component = 'blogs'
			WHERE MATCH(con.title, con.content) AGAINST ('$query' IN BOOLEAN MODE) AND con.published = 1 LIMIT 100";

	$result = $inDB->query($sql);

	if ($inDB->num_rows($result)){

		cmsCore::loadLanguage('components/blogs');

		cmsCore::loadModel('blogs');
		$model = new cms_model_blogs();

		while($item = $inDB->fetch_assoc($result)){

			$result_array = array();

			$result_array['link']        = $model->getPostURL($item['bloglink'], $item['seolink']);
			$result_array['place']       = $_LANG['BLOG'].' «'.$item['cat_title'].'»';
			$result_array['placelink']   = $model->getBlogURL($item['bloglink']);
			$result_array['description'] = $searchModel->getProposalWithSearchWord($item['content']);
			$result_array['title']       = $item['title'];
			$result_array['pubdate']     = $item['pubdate'];
			$result_array['imageurl']    = $item['fileurl'];
			$result_array['session_id']  = session_id();

			$searchModel->addResult($result_array);

		}
	}

	return;

}