<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

function mod_arhive($mod, $cfg){

    cmsCore::loadModel('arhive');
    $model = new cms_model_arhive();

    $model->whereThisAndNestedCats(@$cfg['cat_id']);

    if($model->year != 'all'){
        $model->whereYearIs();
    }

    $items = $model->getArhiveContent();
    if(!$items){ return false; }

    cmsPage::initTemplate('modules', $cfg['tpl'])->
            assign('arhives', $items)->
            assign('date', array('year'=>$model->year,'month'=>$model->month,'day'=>$model->day))->
            display($cfg['tpl']);

    return true;

}