<h1 class="con_heading">{$LANG.SITE_AWARDS}</h1>
{if $aws}
	{foreach key=tid item=aw from=$aws}
		<div class="well">
			<div class="row">
				<div class="col-md-5">
					<div class="media">
						<a class="pull-left">
							<img class="media-object" width="36" src="/images/awards/{$aw.imageurl}" alt="">
						</a>
						<div class="media-body">
							<h4 class="media-heading">{$aw.title}</h4>
							<div class="usr_aw_desc">{$aw.description}</div>
							<div class="aw-points">
								{if $aw.p_comment}
									<div class="usr_aw_point">
										<span class="glyphicon glyphicon-share-alt"></span>
										{$aw.p_comment}
										{$LANG.COMMENTS}
									</div>
								{/if}
								{if $aw.p_forum}
									<div class="usr_aw_point">
										<span class="glyphicon glyphicon-comment"></span>
										{$aw.p_forum}
										{$LANG.MESS_IN_FORUM}
									</div>
								{/if}
								{if $aw.p_content}
									<div class="usr_aw_point">
										<span class="glyphicon glyphicon-list-alt"></span>
										{$aw.p_content}
										{$LANG.PUBLISHED_ARTICLES}
									</div>
								{/if}
								{if $aw.p_blog}
									<div class="usr_aw_point">
										<span class="glyphicon glyphicon-edit"></span>
										{$aw.p_blog}
										{$LANG.POSTS_IN_BLOG}
									</div>
								{/if}
								{if $aw.p_karma}
									<div class="usr_aw_point">
										<span class="glyphicon glyphicon-heart"></span>
										{$aw.p_karma}
										{$LANG.KARMA_POINTS}
									</div>
								{/if}
								{if $aw.p_photo}
									<div class="usr_aw_point">
										<span class="glyphicon glyphicon-picture"></span>
										{$aw.p_photo}
										{$LANG.PHOTOS_IN_ALBUMS}
									</div>
								{/if}
								{if $aw.p_privphoto}
									<div class="usr_aw_point">
										<span class="glyphicon glyphicon-picture"></span>
										{$aw.p_privphoto}
										{$LANG.PHOTOS_IN_PRIVATE_ALBUM}
									</div>
								{/if}
							</div>
						</div>
					</div>
				</div>
				<div class="col-md-7">
					<h4 class="media-heading">{$LANG.AWARD_HAVES}:</h4>
					<div class="usr_aw_userslist">{$aw.uhtml}</div>
				</div>
			</div>
		</div>
	{/foreach}
{else}
	<p>{$LANG.NOT_AWARDS_ON_SITE}</p>
{/if}