{if $cfg.is_pag}
	<script>
		function conPage(page, module_id) {
			$('div#module_ajax_'+module_id).css({ opacity:0.4, filter:'alpha(opacity=40)' });
			$.post('/modules/mod_latest/ajax/latest.php', { 'module_id': module_id, 'page':page }, function(data){
				$('div#module_ajax_'+module_id).html(data);
				$('div#module_ajax_'+module_id).css({ opacity:1.0, filter:'alpha(opacity=100)' });
			});
		}
	</script>
{/if}

{if !$is_ajax}
	<div id="module_ajax_{$module_id}">
{/if}

{foreach key=aid item=article from=$articles}
	<div class="media {cycle values="rowb1,rowb2"}">
		{if $article.image}
			<a class="pull-left" title="{$article.title|escape:'html'}" href="{$article.url}">
				<img src="/upload/content/small/{$article.image}" class="image_module" alt="{$article.title|escape:'html'}">
			</a>
		{/if}
		<div class="media-body">
			<h4 class="media-heading">
				<a href="{$article.url}"> {$article.title|truncate:45} </a>
			</h4>
			{if $cfg.showdesc}
				<div class="media-description">
					{$article.description|strip_tags|truncate:200}
				</div>
			{/if}
			{if $cfg.showdate}
				<div class="media-hinttext">
					<span class="monospc">
						<span class="glyphicon glyphicon-time"></span>
						{$article.fpubdate}
					</span>
					{* dev: maxiSoft / begin / 11.40.2015 10:40:1 / Вывод автора материала *}
						<span class="glyphicon glyphicon-user"></span>
						{if $article.user_id > 0}
							<a href="{profile_url login=$article.user_login}" target="_blank">{$article.author}</a>
						{else}
							{if $article.content_link}
								<a href="{$article.content_link}" rel="nofollow" target="_blank">{$article.content_author}</a>
							{else}
								{$article.content_author}
							{/if}
						{/if}
					{* dev: maxiSoft / end / 11.40.2015 10:40:29 / Вывод автора материала *}
					{if $cfg.showcom}
						<a class="monospc" href="{$article.url}" title="{$article.comments|spellcount:$LANG.COMMENT1:$LANG.COMMENT2:$LANG.COMMENT10}">
							<span class="glyphicon glyphicon-share-alt"></span> {$article.comments}
						</a>
						<span class="monospc">
							<span class="glyphicon glyphicon-eye-open"></span> {$article.hits}
						</span>
					{/if}
				</div>
			{/if}
		</div>
	</div>
{/foreach}

<div class="button_place">
	{if $cfg.showrss} <a class="link_button" href="/rss/content/{if $cfg.cat_id}{$cfg.cat_id}{else}all{/if}/feed.rss"> {$LANG.LATEST_RSS} </a> {/if}
	{if $cfg.is_pag && $pagebar_module} {$pagebar_module} {/if}
</div>

{if !$is_ajax}
	</div>
{/if}
